> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unosend.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Template

> Retrieve a template by ID.

<ParamField path="id" type="string" required>
  The ID of the template.
</ParamField>

### Request

<CodeGroup>
  ```bash cURL theme={null}
  curl https://api.unosend.co/templates/tpl_abc123 \
    -H "Authorization: Bearer un_xxxxxxxxxx"
  ```

  ```javascript JavaScript theme={null}
  await fetch('https://api.unosend.co/templates/tpl_abc123', {
    headers: { 'Authorization': 'Bearer un_xxxxxxxxxx' }
  });
  ```

  ```python Python theme={null}
  import requests

  requests.get('https://api.unosend.co/templates/tpl_abc123',
    headers={'Authorization': 'Bearer un_xxxxxxxxxx'}
  )
  ```
</CodeGroup>

### Response

```json 200 theme={null}
{
  "success": true,
  "data": {
    "id": "tpl_abc123",
    "name": "Welcome Email",
    "subject": "Welcome to {{company_name}}, {{first_name}}!",
    "html": "<h1>Welcome, {{first_name}}!</h1><p>Thanks for joining {{company_name}}.</p>",
    "created_at": "2024-01-15T10:30:00.000Z"
  }
}
```
